/// <reference types="react" />
import { IContextualMenuItem } from "office-ui-fabric-react/lib/ContextualMenu";
import { BaseComponent, IPoint } from "office-ui-fabric-react/lib/Utilities";
import { IVssContextualMenuItemProvider } from '../../VssContextualMenu';
import { IContextualMenuButtonProps } from "../../Components/ContextualMenuButton/ContextualMenuButton.Props";
import "./ContextualMenuButton.css";
export interface IContextualMenuButtonState {
    providers: IVssContextualMenuItemProvider[] | undefined;
    items: IContextualMenuItem[] | undefined;
    isOpen: boolean;
    target?: HTMLElement | string | MouseEvent | IPoint | null;
    useTargetPoint?: boolean;
}
/**
 * Component that contains a button which, when activated, will show a contextual menu with the items provided
*/
export declare class ContextualMenuButton extends BaseComponent<IContextualMenuButtonProps, IContextualMenuButtonState> {
    static readonly ButtonContainerClassName: string;
    private static buttonRef;
    private _contextMenuExpandedId;
    private _isMounted;
    private _button;
    constructor(props: IContextualMenuButtonProps);
    focus(): void;
    componentWillReceiveProps(nextProps: IContextualMenuButtonProps): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private _onClick;
    private _onDismiss;
}
