import { IBaseProps } from "office-ui-fabric-react/lib/Utilities";

export interface IDateTimeRangePickerProps extends IBaseProps {
    /**
     * Initial value for the start time, for an uncontrolled instance of the DateTimePicker for StartTime.
     */
    defaultStartTime?: Date;

    /**
     * Initial value for the end time, for an uncontrolled instance of the DateTimePicker for EndTime.
     */
    defaultEndTime?: Date;

    /**
     * Optional method to format the chosen date to a string to display in the DatePicker
     */
    formatDate?: (date: Date) => string;

    /**
     * Optional method to format the chosen time to a string to display in the TextField
     */
    formatTime?: (date: Date) => string;

    /**
     * Optional method to parse the text input value to time
     */
    parseTimeFromString?: (timeStr: string) => Date;

    /**
     * Callback issued when either date/time is changed legally
     */
    onValueChanged?: (newStartTime: Date, newEndTime: Date) => void;
}

export interface IDateTimeRangePickerStrings {
    /**
     * Text for label of the start control
     */
    startTime?: string;

    /**
     * Text for label of the end control
     */
    endTime?: string;
}