import * as React from 'react';
import { IBaseProps } from "office-ui-fabric-react/lib/Utilities";
import { IObservableValue } from '../../Utilities/Observable';

export interface IDynamicLinkProps extends React.HTMLProps<HTMLAnchorElement>, IBaseProps {
    /**
     * The url of the link. If not specified, a span is drawn instead of an anchor element.
     * This allows an observable to be used, causing the Link to properly re-render itself
     * when the url has changed.
     */
    url?: IObservableValue<string> | string;
}