/// <reference types="react" />
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IFileInputProps, FileInputData } from "../../Components/FileInput/FileInput.Props";
import "./FileInput.css";
export interface FileInputState {
    files?: FileInputData[];
    errorMessage?: string;
}
export declare class FileInput extends BaseComponent<IFileInputProps, FileInputState> {
    private _files;
    render(): JSX.Element;
    private _clear;
    private _remove;
    private _addFiles;
    private _addFile(file);
    private _triggerUpdateEvent();
    private _getTotalFilesSize();
    private _getLimitErrorMessage(errorText, limitData);
    /**
     * Get a friendly string representing the length of a file (e.g. "61.2 KB")
     *
     * @param numBytes Number of bytes
     * @param decimalPlaces Number of decimal places to round to. (e.g. 0 -> "61 KB", 1 -> "61.2 KB", 2 -> "61.18 KB")
     */
    private _getFriendlySizeString(numBytes, decimalPlaces?);
}
