import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IFilterItemState, FilterOperatorType } from '../../Utilities/Filter';
import { IFilterBarItem, IFilterBarItemProps } from '../../Components/FilterBar/FilterBarItem.Props';
export interface IFilterBarItemState<T> {
    value?: T;
    operator?: FilterOperatorType;
}
export declare abstract class FilterBarItem<TFilterItem, TProps extends IFilterBarItemProps, TState extends IFilterBarItemState<TFilterItem>> extends BaseComponent<TProps, TState> implements IFilterBarItem {
    private _throttledSetFilterValue;
    componentWillMount(): void;
    /**
     * Setting state when component state is different from filter item state
     * Needed for handling scenarios when filter object's setState method is called with suppressChangeEvent=true
     * In such cases, FILTER_CHANGE_EVENT is not triggered and thus component state is not updated
     * And then on re-rendering component renders with old state.
     * @param nextProps
     */
    componentWillReceiveProps(nextProps: TProps): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    abstract focus(): void;
    private _onFilterChanged;
    protected onFilterChanged(filterState: IFilterItemState): void;
    protected getThrottleWait(): number;
    protected setFilterValue(filterState: IFilterItemState): void;
    private _setFilterValue(filterState);
}
