/// <reference types="react" />
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IObservableArray } from '../../Utilities/Observable';
import { IHub, IHubProps, ScrollableRegion } from '../../Components/Hub/Hub.Props';
import { IPivotBar, IPivotBarViewAction, PivotBarFocusItem } from '../../PivotBar';
import "./Hub.css";
export interface IHubState {
    selectedPivot?: string;
    viewActions?: IPivotBarViewAction[] | IObservableArray<IPivotBarViewAction>;
    inFullScreenMode?: boolean;
}
export declare class Hub extends BaseComponent<IHubProps, IHubState> implements IHub {
    pivotBar: IPivotBar;
    private _viewActionsObservable;
    private _underlyingViewActionsObservable;
    private _chromeless;
    protected static defaultProps: {
        scrollableRegion: ScrollableRegion;
    };
    constructor(props: IHubProps);
    focus(focusItem: PivotBarFocusItem): void;
    /**
     * This gets executed when a container component re-renders PivotBar.
     * @param nextProps New props.
     */
    componentWillReceiveProps(nextProps: IHubProps): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private validateChildren(children);
    private _getFullScreenViewAction();
    private _getViewActions(props);
    private _onViewActionObservableChanged;
    private _onViewOptionChanged(changedOptions);
    private _onSelectedPivotChanged;
    private _onPivotClicked;
}
