/// <reference types="react" />
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IHubBreadcrumb, IHubBreadcrumbPickList, IHubBreadcrumbProps, IHubPickerDropdownProps } from "../../Components/HubHeader/HubBreadcrumb.Props";
import "./HubBreadcrumb.css";
export declare const HEADER_PICKER_CHANGE_EVENT = "picker-changed";
/**
 *
 * @param item Properties for instantiating the hub dropdown.
 */
export declare function getDropdownIcon(item: IHubPickerDropdownProps): void;
export interface IPickerDropdownState {
    calloutIsVisible: boolean;
}
export declare class PickerDropdown extends BaseComponent<IHubPickerDropdownProps, IPickerDropdownState> implements IHubBreadcrumbPickList {
    private dropdownPinElement;
    private _pickList;
    private updateDelegate;
    constructor(props?: IHubPickerDropdownProps);
    render(): JSX.Element | null;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: IHubPickerDropdownProps): void;
    openDropdown(): void;
    closeDropdown(): void;
    toggleDropdown(): void;
    private onPositioned;
    private onDismiss;
}
export interface IHubBreadcrumbState {
    pickerIsOpen: boolean;
}
export declare class HubBreadcrumb extends BaseComponent<IHubBreadcrumbProps, IHubBreadcrumbState> implements IHubBreadcrumb {
    private pinElements;
    pickList: IHubBreadcrumbPickList;
    constructor(props: IHubBreadcrumbProps);
    private getIcon(iconProps);
    private onRenderItem;
    render(): JSX.Element;
}
