/// <reference types="react" />
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IHubHeaderProps } from "../../Components/HubHeader/HubHeader.Props";
import { IItemPickerProvider } from "../../PickList";
import "./HubHeader.css";
export interface IHubHeaderState {
    headerItemPicker?: IItemPickerProvider;
}
/**
 * Component that generates a standard VSTS page header.
 */
export declare class HubHeader extends BaseComponent<IHubHeaderProps, IHubHeaderState> {
    private _hubBreadcrumb;
    constructor(props: IHubHeaderProps);
    componentWillMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: IHubHeaderProps): void;
    /**
     * Gets the title (Breadcrumb control or HubTitle control, depending on whether or not breadcrumbitems were passed).
     */
    private getTitle();
    private getBreadcrumb();
    private onHeaderItemClick;
    private onSelectionChanged;
    private onHeaderPickerChanged;
    private getIndicators();
    render(): JSX.Element;
}
