import * as React from "react";
import { IBaseProps } from "office-ui-fabric-react/lib/Utilities";
import { IVssIconProps } from "../../VssIcon";

export interface IIconToggleButtonProps extends React.HTMLAttributes<HTMLButtonElement>, IBaseProps {
    /**
     * Whether or not the button should use the toggled on or toggled off class name.
     */
    isToggledOn?: boolean;

    /**
     * Called when the icon button is clicked. Passes the newly toggle state of the button.
     */
    onToggle: (isToggledOn: boolean) => void;

    /**
     * Props to render the icon when in the "off" state.
     */
    toggledOffIconProps: IVssIconProps;

    /**
     * Props to render the icon when in the "on" state.
     */
    toggledOnIconProps: IVssIconProps;
}