/// <reference types="react" />
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IItemIndicatorProps, IItemIndicatorSetProps } from "../../Components/ItemIndicator/ItemIndicator.Props";
import { IVssIconProps } from "../../VssIcon";
import "./ItemIndicator.css";
export interface IItemIndicatorState {
    iconProps?: IVssIconProps | undefined;
    title?: string;
}
export declare class ItemIndicator extends BaseComponent<IItemIndicatorProps, IItemIndicatorState> {
    constructor(props: IItemIndicatorProps);
    /**
     * This gets executed when a container component re-renders ItemIndicator.
     * @param nextProps New props.
     */
    componentWillReceiveProps(nextProps: IItemIndicatorProps): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: IItemIndicatorProps, prevState: IItemIndicatorState): void;
    componentWillUnmount(): void;
    /**
     * Builds a new state using the specified props.
     */
    private _buildNewState(props);
    render(): JSX.Element;
    private _onClick;
    private _onItemChanged;
}
export declare class ItemIndicatorSet extends BaseComponent<IItemIndicatorSetProps, {}> {
    render(): JSX.Element | null;
    private _onClick;
}
