/// <reference types="react" />
import { BaseComponent, IBaseProps } from "office-ui-fabric-react/lib/Utilities";
import { IItemPickerDropdown, IItemPickerDropdownProps, IItemPickList, IItemPickListProps, IPickList, IPickListDropdown, IItemPickerProvider } from "./PickList.Props";
export declare const PICKER_CHANGE_EVENT = "picker-changed";
export interface IItemPickerBaseProps extends IBaseProps {
    provider: IItemPickerProvider;
}
export declare abstract class ItemPickerComponentBase<TProps extends IItemPickerBaseProps> extends BaseComponent<TProps, {}> {
    private updateDelegate;
    pickListDropdown: IPickListDropdown;
    constructor(props?: TProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: IItemPickerDropdownProps): void;
}
export declare class ItemPickerDropdown extends ItemPickerComponentBase<IItemPickerDropdownProps> implements IItemPickerDropdown {
    pickListDropdown: IPickListDropdown;
    render(): JSX.Element | null;
}
export declare class ItemPickList extends ItemPickerComponentBase<IItemPickListProps> implements IItemPickList {
    pickList: IPickList;
    render(): JSX.Element | null;
}
