import { IContextualMenuItem } from 'office-ui-fabric-react/lib/ContextualMenu';
import { IPivotBarAction } from "../../Components/PivotBar/PivotBarAction.Props";
import { IViewOptions } from '../../Utilities/ViewOptions';
/**
 * Converts the specified actions to visual elements (IContextualMenuItem on the CommandBar).
 * @param actions List if actions to convert.
 * @param viewOptions View options to operate on.
 * @param forceUpdate Callback to force a rerender of the visualizations
 */
export declare function mapActionsToItems(actions: IPivotBarAction[], viewOptions?: IViewOptions, forceUpdate?: () => void): IContextualMenuItem[];
/**
 * Converts an IContextualMenuItem to an IPivotBarAction
 * @param menuItem
 */
export declare function mapItemToActions(menuItem: IContextualMenuItem): IPivotBarAction;
