import { IPivotBarAction, IPivotBarViewAction } from '../../Components/PivotBar/PivotBarAction.Props';
import { IObservableArray } from '../../Utilities/Observable';
import { IViewOptions } from '../../Utilities/ViewOptions';

export interface IPivotCommandBar {
    focus(): void;
}

export interface IPivotCommandBarProps {
    componentRef?: (component: IPivotCommandBar) => void;
    className?: string;
    /** if true, and there are commands, render a separator before those commands */
    prependSeparator?: boolean;
    commands?: IObservableArray<IPivotBarAction>[];
    viewActions?: IObservableArray<IPivotBarViewAction>[];
    showFilterAction?: boolean;
    showFilterBarViewOptionKey?: string;
    filterBar?: JSX.Element;
    viewOptions?: IViewOptions;
    hasAppliedFilter?: boolean;
    onShowFilterBarClicked?: () => void;
}