/// <reference types="react" />
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IPivotBarAction, IPivotBarViewAction } from '../../Components/PivotBar/PivotBarAction.Props';
import { IPivotCommandBar, IPivotCommandBarProps } from '../../Components/PivotBar/PivotCommandBar.Props';
export interface IPivotCommandBarState {
    commands?: IPivotBarAction[];
    viewActions?: IPivotBarViewAction[];
}
export declare class PivotCommandBar extends BaseComponent<IPivotCommandBarProps, IPivotCommandBarState> implements IPivotCommandBar {
    private _commandBar;
    constructor(props: IPivotCommandBarProps);
    componentWillReceiveProps(nextProps: IPivotCommandBarProps): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _subscribeItems(itemSources, observer);
    private _unsubscribeItems(itemSources, observer);
    render(): JSX.Element | null;
    focus(): void;
    private _getCommands(props);
    private _getViewActions(props);
    private _onCommandsChanged;
    private _onViewActionsChanged;
    /**
     * Conveniently autobound forceUpdate method.
     */
    private _forceUpdate;
}
