/// <reference types="react" />
import * as React from 'react';
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IBreakPoint, IResponsiveViewportProps, IResponsiveViewport } from '../../Components/ResponsiveViewport/ResponsiveViewport.Props';
export interface IResponsiveWrapperState {
    /** Currently active breakpoints */
    activeBreakpoints: IBreakPoint[];
}
export declare class ResponsiveViewport extends BaseComponent<IResponsiveViewportProps, IResponsiveWrapperState> implements IResponsiveViewport {
    private _element;
    constructor(props: IResponsiveViewportProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.DetailedReactHTMLElement<{
        className: string;
        ref: (element: HTMLElement) => void;
    }, HTMLElement>;
    measure(): void;
    private _onAsyncResize();
    private _resize();
    private _getActiveBreakpoints(width);
    private _resolveElement;
}
