/// <reference types="react" />
import { IDetailsList, IDetailsListProps, IColumn, ISelection } from 'office-ui-fabric-react/lib/DetailsList';
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IVssDetailsList, IVssDetailsListProps } from '../../Components/VssDetailsList/VssDetailsList.Props';
import "./VssDetailsList.css";
export interface IVssDetailsListState {
    /**
     * The item in the list (if any) for which the context menu is currently active,
     * if it was activated via the onItemContextMenu for the DetailsList.
     */
    activatedItem?: any;
    /**
     * The mouse event or HTMLElement from the onContextMenu event where the
     * contextual menu should be displayed.
     */
    target?: MouseEvent | HTMLElement;
    /**
     * Classnames to pass to DetailsList based on presentationStyles provided
     * as props.
     */
    classNames?: string;
    /**
     * Columns to pass to DetailsList (this may not be the same as the one from props if context menu is enabled).
     */
    columns?: IColumn[];
    /**
     * Selection object for the DetailsList.
     */
    selection?: ISelection;
}
/**
 * Wraps Office Fabric Details list with state management specific to Vss Components
 */
export declare class VssDetailsList extends BaseComponent<IVssDetailsListProps, IVssDetailsListState> implements IVssDetailsList {
    private readonly standardPresentationStyle;
    detailsList: IDetailsList;
    constructor(props: IVssDetailsListProps & IDetailsListProps);
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: IVssDetailsListProps): void;
    render(): JSX.Element;
    private _onItemContextMenu;
    private _onDismiss;
    private _onEllipsisClick;
    private _createActionsColumn(column);
    private _hasActions(props);
    private _buildSelection(props);
    private _buildColumns(props);
    private _buildClassNames(props);
    private _getContextMenu();
}
