/// <reference types="react" />
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IVssPersonaProps } from "../../Components/VssPersona/VssPersona.Props";
import "./VssPersona.css";
export interface IVssPersonaState {
    imageUrl: string;
    showPersonaCard: boolean;
}
/**
 * Renders a user's profile/identity/avatar image.
 */
export declare class VssPersona extends BaseComponent<IVssPersonaProps, IVssPersonaState> {
    private targetElement;
    constructor(props: IVssPersonaProps);
    componentWillReceiveProps(nextProps: IVssPersonaProps): void;
    shouldComponentUpdate(nextProps: IVssPersonaProps, nextState: IVssPersonaState): boolean;
    render(): JSX.Element;
    private _setTargetElement;
    private _handleKeyDown;
    private _showPersonaCard;
    private _hidePersonaCard;
    /**
     * Resolve the URL for the profile image.
     * @param props
     */
    private _getImageUrl(props);
    /**
     * Get the size in pixels for the given css class.
     * @param size
     */
    private _getSize(size);
    private _onImageError;
}
