/// <reference types="react" />
import * as React from 'react';
export interface ReactChild<T> {
    index: number;
    item: T;
}
/**
 * Gets the children of the specified type (includes child index as well).
 *
 * @param props Container props including children.
 * @param type Type of the children.
 */
export declare function childrenOfType<T>(children: React.ReactNode, type: {
    new (props?: any): T;
}): ReactChild<T>[];
