/**
 * Checks two arrays to see they contain equal elements in the same order.
 *
 * @param array1 First array to check.
 * @param array2 Second array to check.
 * @param comparer Optional comparer to check whether array items are equal. If not specified, items are compared using strict equals.
 * @returns {boolean}
 */
export declare function arrayEquals<T>(array1: T[], array2: T[], comparer?: (item1: T, item2: T) => boolean): boolean;
/**
 * Gets the closest ancestor of the element (or the element itself) using a query selector.
 *
 * @param element Starting element.
 * @param query Query to locate.
 * @returns {Element}
 */
export declare function closest(element: Element, query: string): Element;
